MPEG_MUSICOUT(1)

NAME
mpeg_musicout - MPEG/audio Layer 1 and Layer 2 encoder

SYNOPSIS
mpeg_musicout queries for all arguments, or
mpeg_musicout [-A]
[-s sb]
inputBS
[outPCM]

DESCRIPTION
The encoder and decoder software are configured to output the coded audio bitstreams as a string of hexadecimal ascii characters. For greater compression efficiency, compile flag, BS_FORMAT, in common.h can be switched to configure the bitstream reading and writing routines to process raw binary bitstreams.
The decoder program has a very crude implementation of bitstream synchword detection. It may not be able to correctly decode valid bitstreams which have false synchword patterns in the ancillary data portion of the bitstream.

RESTRICTIONS
The software implements levels I and II and psychophysical auditory models I and II as described in the ISO 3-11171 rev 1 standard. There are future plans to implement level III.
The input/output audio data may either be headerless raw 16 bit data or alternatively an AIFF formatted file (Audio Interchange File Format) with certain limitations.
For more information on the AIFF format see the postscript file /sgi/aiff-c.9.26.91.ps at the anonymous ftp site FTP.SGI.COM (192.48.153.1).
The AIFF formatted file is a convenient way for storing sampling rate of the audio file.
The encoder and decoder software are configured to output the coded audio bitstreams as a string of hexadecimal ascii characters. For greater compression efficiency, compile flag, BS_FORMAT, in common.h can be switched to configure the bitstream reading and writing routines to process raw binary bitstreams.
This software has been run and verified on a large variety of computers and operating systems. In particular UNIX, MS_DOS (with MicroSoft C version 6), Macintosh, AIX Platform (RS6000) and Convex.

OPTIONS

-A  write an AIFF output PCM sound file

-s sb
    resynth only up to this sb (debugging only)

inputBS
    input bit stream of encoded audio

outPCM
    output PCM sound file (dflt inName+.dec)

SEE ALSO
mpeg_musicin(1)

HISTORY
Written by Andreas Klemm, August 17, 1997